CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Bugs (http://www.cfd-online.com/Forums/openfoam-bugs/)
-   -   Help PV3FoamReader compile error (http://www.cfd-online.com/Forums/openfoam-bugs/62360-help-pv3foamreader-compile-error.html)

zzli November 13, 2008 00:33

Dear All, When compiling PV
 
Dear All,

When compiling PV3FoamReader I got the following error:

CMake Error: Error in cmake code at
/home/hyp/OpenFOAM/ThirdParty/ParaView3.3-cvs/platforms/linuxGcc/Qt/Core:458:
Unknown CMake command "QT4_WRAP_CPP".
CMake Error: Error in cmake code at
/home/hyp/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/graphics/P V3FoamReader/PV3FoamReader/CMakeLists.txt:44:
A command failed during the invocation of macro "ADD_PARAVIEW_GUI_EXTENSION".
CMake Error: Error in cmake code at
/home/hyp/OpenFOAM/ThirdParty/ParaView3.3-cvs/platforms/linuxGcc/Qt/Core:562:
ADD_PARAVIEW_GUI_EXTENSION unknown error.
Current CMake stack: /home/hyp/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/graphics/P V3FoamReader/PV3FoamReader/CMakeLists.txt;/home/hyp/OpenFOAM/ThirdParty/cmake-2. 4.6/platforms/linux/share/cmake-2.4/Modules/CMakeCInformation.cmake;/home/hyp/Op enFOAM/ThirdParty/cmake-2.4.6/platforms/linux/share/cmake-2.4/Modules/CMakeCXXIn formation.cmake
CMake Error: Error in cmake code at
/home/hyp/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/graphics/P V3FoamReader/PV3FoamReader/CMakeLists.txt:44:
A command failed during the invocation of macro "ADD_PARAVIEW_PLUGIN".
CMake Error: Error in cmake code at
/home/hyp/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/graphics/P V3FoamReader/PV3FoamReader/CMakeLists.txt:43:
ADD_PARAVIEW_PLUGIN unknown error.
Current CMake stack: /home/hyp/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/graphics/P V3FoamReader/PV3FoamReader/CMakeLists.txt;/home/hyp/OpenFOAM/ThirdParty/cmake-2. 4.6/platforms/linux/share/cmake-2.4/Modules/CMakeCInformation.cmake;/home/hyp/Op enFOAM/ThirdParty/cmake-2.4.6/platforms/linux/share/cmake-2.4/Modules/CMakeCXXIn formation.cmake
-- Configuring done
+ make
make: *** No targets specified and no makefile found. Stop.

Anybody can help? Thank you very much.

mattijs November 13, 2008 05:21

Sounds as if you are using an
 
Sounds as if you are using an old version of cmake. "cmake --version" returns for me

cmake version 2.4-patch 6

zzli November 13, 2008 06:00

Yes cmake version is right 2.4
 
Yes cmake version is right 2.4-patch 6. Thanks.

ulli November 19, 2008 15:27

Hi, I receive the same erro
 
Hi,

I receive the same error message while compiling
1.5.X. on OpenSuse 10.3 64 bit.

I think qmake and cmake should be okay. Is it needed to build paraview new or to perform any changes in the ThirdParty directory when switching from 1.5 to 1.5.X?

'/home/ulli/OpenFOAM/OpenFOAM-1.5.x/lib/linux64GccDPOpt/libvtkPV3Foam.so' is up
to date.
make[3]: Leaving directory `/home/ulli/OpenFOAM/OpenFOAM-1.5.x/applications/util
ities/postProcessing/graphics/PV3FoamReader/vtkPV3Foam'
+ cd PV3FoamReader
+ mkdir -p Make/linux64GccDPOpt
+ cd Make/linux64GccDPOpt
+ cmake ../..
-- Loading ParaView CMake commands
-- Loading ParaView CMake commands - done
CMake Error: Error in cmake code at
#ifndef _@PLUGIN_NAME@Plugin_h:458:
Unknown CMake command "QT4_WRAP_CPP".
CMake Error: Error in cmake code at
/home/ulli/OpenFOAM/OpenFOAM-1.5.x/applications/utilities/postProcessing/graphic
s/PV3FoamReader/PV3FoamReader/CMakeLists.txt:44:
A command failed during the invocation of macro "ADD_PARAVIEW_GUI_EXTENSION".
CMake Error: Error in cmake code at
#ifndef _@PLUGIN_NAME@Plugin_h:562:
.......



OpenFOAM/OpenFOAM-1.5.x> qmake -v
QMake version 2.01a
Using Qt version 4.3.1 in /usr/local/Trolltech/Qt-4.3.1/lib
ulli@linux2:~/OpenFOAM/OpenFOAM-1.5.x>
cmake --version
cmake version 2.4-patch 6

Any ideas how to solve this problem?

Thanks in advance

Ulrich

gmc_salta November 26, 2008 12:09

Dear all We followed the ins
 
Dear all
We followed the instructions for installation OF1.5, in SUSE10.3 for 32 bit. We install some packages suggest in other discussion(GCC, Cmake, mpfr, gmp, flex++, etc) also we done the symbolic link for library python, as root.
We revised the correct QT version
>qmake --version
QMake version 2.01a
Using Qt version 4.3.1 in /usr/lib

But in our Yast indicated that version Qt is Qt3.3.8-76. Is it correct?

When execute ./Allwmake followed message error we obtained:

make[3]: Leaving directory `/home/foam5/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/miscell aneous/engineCompRatio'
make[2]: Leaving directory `/home/foam5/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/miscell aneous'
make[1]: Target `application' not remade because of errors.
make[1]: Leaving directory `/home/foam5/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing'
make: *** [postProcessing] Error 2
make: Target `application' not remade because of errors.
+ '[' '' = doc ']'


When build paraView3.3-cvs (step 7-1, readme), this message error get:

Linking CXX executable ../../../../bin/HybridCxxTests
[ 28%] Built target HybridCxxTests
Scanning dependencies of target WidgetsCxxTests
[ 28%] Building CXX object VTK/Widgets/Testing/Cxx/CMakeFiles/WidgetsCxxTests.dir/WidgetsCxxTests.o
[ 28%] Building CXX object VTK/Widgets/Testing/Cxx/CMakeFiles/WidgetsCxxTests.dir/BoxWidget.o
[ 28%] Building CXX object VTK/Widgets/Testing/Cxx/CMakeFiles/WidgetsCxxTests.dir/TestContourWidget2.o
[ 28%] Building CXX object VTK/Widgets/Testing/Cxx/CMakeFiles/WidgetsCxxTests.dir/TestHandleWidget.o
[ 28%] Building CXX object VTK/Widgets/Testing/Cxx/CMakeFiles/WidgetsCxxTests.dir/TestImplicitPlaneWidget.o
[ 28%] Building CXX object VTK/Widgets/Testing/Cxx/CMakeFiles/WidgetsCxxTests.dir/TestOrientationMarkerWidg et.o
[ 28%] Building CXX object VTK/Widgets/Testing/Cxx/CMakeFiles/WidgetsCxxTests.dir/TerrainPolylineEditor.o
[ 28%] Building CXX object VTK/Widgets/Testing/Cxx/CMakeFiles/WidgetsCxxTests.dir/TestDijkstraGraphGeodesic Path.o
[ 28%] Building CXX object VTK/Widgets/Testing/Cxx/CMakeFiles/WidgetsCxxTests.dir/TestParallelopipedWidget. o
Linking CXX executable ../../../../bin/WidgetsCxxTests
collect2: ld terminated with signal 11 [Segmentation fault]
make[2]: *** [bin/WidgetsCxxTests] Error 1
make[1]: *** [VTK/Widgets/Testing/Cxx/CMakeFiles/WidgetsCxxTests.dir/all] Error 2
make: *** [all] Error 2
done

So, if somebody got an idea about this error, pleased help us. Are missing another packages install for?

Ana and Sonia

velan December 15, 2008 06:32

Hi I installed openFOAM in F
 
Hi
I installed openFOAM in FC8. I got the same error message which is posted above.

+ cmake ../..
-- Loading ParaView CMake commands
-- Loading ParaView CMake commands - done
CMake Error: Error in cmake code at
================================================== ======================*/:458:
Unknown CMake command "QT4_WRAP_CPP".
CMake Error: Error in cmake code at
/home/vc/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/graphics/PV 3FoamReader/PV3FoamReader/CMakeLists.txt:44:
A command failed during the invocation of macro "ADD_PARAVIEW_GUI_EXTENSION".
CMake Error: Error in cmake code at
================================================== ======================*/:562:
ADD_PARAVIEW_GUI_EXTENSION unknown error.
Current CMake stack: /home/vc/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/graphics/PV 3FoamReader/PV3FoamReader/CMakeLists.txt;/home/vc/OpenFOAM/ThirdParty/cmake-2.4. 6/platforms/linux/share/cmake-2.4/Modules/CMakeCInformation.cmake;/home/vc/OpenF OAM/ThirdParty/cmake-2.4.6/platforms/linux/share/cmake-2.4/Modules/CMakeCXXInfor mation.cmake
CMake Error: Error in cmake code at
/home/vc/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/graphics/PV 3FoamReader/PV3FoamReader/CMakeLists.txt:44:
A command failed during the invocation of macro "ADD_PARAVIEW_PLUGIN".
CMake Error: Error in cmake code at
/home/vc/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/graphics/PV 3FoamReader/PV3FoamReader/CMakeLists.txt:43:
ADD_PARAVIEW_PLUGIN unknown error.
Current CMake stack: /home/vc/OpenFOAM/OpenFOAM-1.5/applications/utilities/postProcessing/graphics/PV 3FoamReader/PV3FoamReader/CMakeLists.txt;/home/vc/OpenFOAM/ThirdParty/cmake-2.4. 6/platforms/linux/share/cmake-2.4/Modules/CMakeCInformation.cmake;/home/vc/OpenF OAM/ThirdParty/cmake-2.4.6/platforms/linux/share/cmake-2.4/Modules/CMakeCXXInfor mation.cmake
-- Configuring done

$ cmake --version
cmake version 2.4-patch 6


Can you please suggest me what need to be do ?

velan December 16, 2008 05:19

Hi all I found the solution
 
Hi all

I found the solution for my problem. Please find it in the below link.

http://www.cfd-online.com/cgi-bin/Op...ow.cgi?1/10322

Franklin June 30, 2009 15:57

I had a very similar problem, the solution for me was to install cmake and add the library libmpfr from synaptic.

Hope this helps.

Frank


All times are GMT -4. The time now is 13:48.